Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 604875 - memory usage in wipefs(8)
Summary: memory usage in wipefs(8)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: util-linux-ng
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Karel Zak
QA Contact: Martin Cermak
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-16 21:47 UTC by Karel Zak
Modified: 2010-11-10 21:52 UTC (History)
4 users (show)

Fixed In Version: util-linux-ng-2.17.2-4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:52:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Karel Zak 2010-06-16 21:47:00 UTC
Description of problem:

# valgrind --leak-check=no wipefs /dev/sda1

==18777== Memcheck, a memory error detector
==18777== Copyright (C) 2002-2009, and GNU GPL'd, by Julian Seward et al.
==18777== Using Valgrind-3.5.0 and LibVEX; rerun with -h for copyright info
==18777== Command: wipefs /dev/sda1
==18777== 
==18777== Warning: noted but unhandled ioctl 0x5331 with no size/direction hints
==18777==    This could cause spurious value errors to appear.
==18777==    See README_MISSING_SYSCALL_OR_IOCTL for guidance on writing a proper wrapper.
==18777== Invalid write of size 1
==18777==    at 0x4A06ACC: memcpy (mc_replace_strmem.c:497)
==18777==    by 0x40183B: ??? (in /sbin/wipefs)
==18777==    by 0x388841EBEC: (below main) (in /lib64/libc-2.11.90.so)
==18777==  Address 0x4c34811 is 1 bytes after a block of size 0 alloc'd
==18777==    at 0x4A0515D: malloc (vg_replace_malloc.c:195)
==18777==    by 0x401816: ??? (in /sbin/wipefs)
==18777==    by 0x388841EBEC: (below main) (in /lib64/libc-2.11.90.so)
==18777== 
offset               type
----------------------------------------------------------------
0x438                ext3   [filesystem]
                     LABEL: /boot
                     UUID:  f1cd38fa-c887-4ab8-834b-c8ee659b97fe

==18777== 
==18777== HEAP SUMMARY:
==18777==     in use at exit: 131 bytes in 6 blocks
==18777==   total heap usage: 80 allocs, 74 frees, 40,939 bytes allocated
==18777== 
==18777== For a detailed leak analysis, rerun with: --leak-check=full
==18777== 
==18777== For counts of detected and suppressed errors, rerun with: -v
==18777== ERROR SUMMARY: 2 errors from 1 contexts (suppressed: 6 from 6)


The "Invalid write" means that application writes outside allocated memory. Fixed by upstream commit 9683e327eda75bf7f47e9d058cea9ff9445d58e4. 

It's one line patch, easy to verify by valgrind.

Comment 1 RHEL Product and Program Management 2010-06-16 23:12:54 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Karel Zak 2010-06-28 18:06:55 UTC
Fixed in util-linux-ng-2.17.2-4.el6

Comment 8 Martin Cermak 2010-09-16 10:51:46 UTC
=> VERIFIED

Comment 9 releng-rhel@redhat.com 2010-11-10 21:52:45 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.